<?php 
	
	$departamento = $_POST["departamento"];
	$fecha_inicio = $_POST["fecha_inicio"];
	$fecha_termino = $_POST["fecha_termino"];
	
	$ch = curl_init('http://200.24.13.60/~program1/power-time-api/public/obtenerpersonadepartamento'); 
	$payload = json_encode(array('id_departamento' => $departamento));
	curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
	curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true); 
	$result = curl_exec($ch); 
	$array = json_decode($result);	

	foreach ($array[0] as $row) {
		$rut = $row->rut;
		$id_persona = $row->id;
		
		$ch2 = curl_init('http://200.24.13.60/~program1/power-time-api/public/informemarcatrabajador'); 
		$payload2 = json_encode(array('fecha_inicio' => $fecha_inicio, 'fecha_termino' => $fecha_termino, 'rut' => $rut, 'id_persona' => $id_persona));
		curl_setopt($ch2, CURLOPT_POSTFIELDS, $payload2);
		curl_setopt($ch2, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));
		curl_setopt($ch2, CURLOPT_RETURNTRANSFER, true); 
		$result2 = curl_exec($ch2); 
		$array2 = json_decode($result2);
        
		$entradap = "00:00:00";
		$salidap = "00:00:00";
		$entradar = "00:00:00";	
		$salidar = "00:00:00";
		$trabajoprogramado = "00:00:00";
		$trabajoreal = "00:00:00";
		
		
        foreach ($array2[0] as $row2) {
			$permiso = $row2->obs;
			if(empty($permiso)) { $permiso = "NO"; }

			if(!empty($row->entradap)) { $entradap = suma_horas($entradap, $row->entradap); }	
			if(!empty($row->salidap)) { $salidap = suma_horas($salidap, $row->salidap); }	
			if(!empty($row->entradar)) { $entradar = suma_horas($entradar, $row->entradar); }	
			if(!empty($row->salidar)) { $salidar = suma_horas($salidar, $row->salidar); }	
			if(!empty($row->trabajoprogramado)) { $trabajoprogramado = suma_horas($trabajoprogramado, $row->trabajoprogramado); }	
			if(!empty($row->trabajoreal)) { $trabajoreal = suma_horas($trabajoreal, $row->trabajoreal); }
			
			$vetor[] = array(
				'fecha' => $row2->fecha,
				'entradap' => cortarCadena($row2->entradap),
				'salidap' => cortarCadena($row2->salidap),
				'entradar' => cortarCadena($row2->entradar),	
				'salidar' => cortarCadena($row2->salidar),
				'trabajoprogramado' => cortarCadena($row2->trabajoprogramado),
				'trabajoreal' => cortarCadena($row2->trabajoreal),
				'obs' => $permiso,	
				'rut' => $row2->rut,	
				'nombre' => $row2->nombre ." ".$row2->apellido
			);					
							
		}			
		
	}
	echo json_encode($vetor);

	function cortarCadena($hora){	
		if($hora != null) { $hora = str_replace("-","", $hora); $hora = substr($hora, 0, 5); return $hora; } else return $hora;
	}	

	function suma_horas($hora1,$hora2){
		
		$hora1 = str_replace("-","", $hora1);
		$hora2 = str_replace("-","", $hora2);	
			
		$hora1=explode(":",$hora1);
		$hora2=explode(":",$hora2);
		
		$temp=0;
		$segundos=(int)$hora1[2]+(int)$hora2[2];
		while($segundos>=60){
			$segundos=$segundos-60;
			$temp++;
		}
		$minutos=(int)$hora1[1]+(int)$hora2[1]+$temp;
		$temp=0;
		while($minutos>=60){
			$minutos=$minutos-60;
			$temp++;
		}

		$horas=(int)$hora1[0]+(int)$hora2[0]+$temp;
		if($horas<10){ $horas= '0'.$horas; }
		if($minutos<10){ $minutos= '0'.$minutos; }
		if($segundos<10){ $segundos= '0'.$segundos; }

		$sum_hrs = $horas.':'.$minutos.':'.$segundos;
		return ($sum_hrs);

	}	
	
?>